Subject: bug#23409: unable to load free firmware

From: Eric Bavier <[email-masked]>
Date: Mon, 2 May 2016 08:55:07 -0500

On Sun, 01 May 2016 15:19:34 +0200
[email-masked] (Ludovic Courtès) wrote:

> Quilro Ordonez <[email-masked]> skribis:
> 
> > I am trying to lo use Broadcom wireless device on GuixSD. It is
> > confirmed to work with free drivers and free firmware. It works
> > correctly in Trisquel too.
> >
> > dmesg gives the following messages. I have included only the relevant
> > parts:  
> 
> [...]
> 
> > [   20.591158] b43-phy0 ERROR: Firmware file "b43-open/ucode5.fw" not
> > found
> > [   21.313688] b43-phy0 ERROR: /*(DEBLOBBED)*/  
> 
> “DEBLOBBED” would suggest that Linux-libre’s deblobbing script viewed it
> as an opaque binary blob and thus patched it, which may be an issue
> here, no?

Does deblobbing happen at runtime too?  I thought it was only during
build time.

> 
> I assume you used the firmware packages that Leo copied.  Could you get
> its author to submit it?  :-)

That would be me :)  But I don't have the hardware to test it out on,
and qemu doesn't offer emulation of the broadcomm cards.

`~Eric